
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>utils.exceptions module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-utils.exceptions">
<span id="utils-exceptions-module"></span><h1>utils.exceptions module<a class="headerlink" href="#module-utils.exceptions" title="Permalink to this headline">¶</a></h1>
<dl class="exception">
<dt id="utils.exceptions.CustomException">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">CustomException</code><a class="headerlink" href="#utils.exceptions.CustomException" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">Exception</span></code></p>
<dl class="attribute">
<dt id="utils.exceptions.CustomException.message">
<code class="sig-name descname">message</code><em class="property"> = 'Something went wrong'</em><a class="headerlink" href="#utils.exceptions.CustomException.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.ConfigInstanceNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">ConfigInstanceNotFound</code><a class="headerlink" href="#utils.exceptions.ConfigInstanceNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.ConfigInstanceNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when config instance we are looking for is not found in the system'</em><a class="headerlink" href="#utils.exceptions.ConfigInstanceNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.RuleDefinitionNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">RuleDefinitionNotFound</code><a class="headerlink" href="#utils.exceptions.RuleDefinitionNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.RuleDefinitionNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when rule definition we are looking for is not found in the system'</em><a class="headerlink" href="#utils.exceptions.RuleDefinitionNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.RuleInstanceNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">RuleInstanceNotFound</code><a class="headerlink" href="#utils.exceptions.RuleInstanceNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.RuleInstanceNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when the rule instance is not found in the system.'</em><a class="headerlink" href="#utils.exceptions.RuleInstanceNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.ConfigNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">ConfigNotFound</code><a class="headerlink" href="#utils.exceptions.ConfigNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.ConfigNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when config id provided is not present in the system'</em><a class="headerlink" href="#utils.exceptions.ConfigNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.PostgresConfigurationNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">PostgresConfigurationNotFound</code><a class="headerlink" href="#utils.exceptions.PostgresConfigurationNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.PostgresConfigurationNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when postgres connection settings are not found in the INI file'</em><a class="headerlink" href="#utils.exceptions.PostgresConfigurationNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.PostgresConnectionFailed">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">PostgresConnectionFailed</code><a class="headerlink" href="#utils.exceptions.PostgresConnectionFailed" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.PostgresConnectionFailed.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when postgres connection is not authenticated successfully.'</em><a class="headerlink" href="#utils.exceptions.PostgresConnectionFailed.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.RedshiftConfigurationNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">RedshiftConfigurationNotFound</code><a class="headerlink" href="#utils.exceptions.RedshiftConfigurationNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.RedshiftConfigurationNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when redshift connection settings are not found in the INI file'</em><a class="headerlink" href="#utils.exceptions.RedshiftConfigurationNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.RedshiftConnectionFailed">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">RedshiftConnectionFailed</code><a class="headerlink" href="#utils.exceptions.RedshiftConnectionFailed" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.RedshiftConnectionFailed.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when redshift connection is not authenticated successfully.'</em><a class="headerlink" href="#utils.exceptions.RedshiftConnectionFailed.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.SFTPConnectionFailed">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">SFTPConnectionFailed</code><a class="headerlink" href="#utils.exceptions.SFTPConnectionFailed" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.SFTPConnectionFailed.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when SFTP connection is not authenticated successfully.'</em><a class="headerlink" href="#utils.exceptions.SFTPConnectionFailed.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.S3ConfigurationNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">S3ConfigurationNotFound</code><a class="headerlink" href="#utils.exceptions.S3ConfigurationNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.S3ConfigurationNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when S3 connection settings are not found in the INI file'</em><a class="headerlink" href="#utils.exceptions.S3ConfigurationNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.S3FileReadError">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">S3FileReadError</code><a class="headerlink" href="#utils.exceptions.S3FileReadError" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.S3FileReadError.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when file is not found at S3 or system is unable to read the file using the credentials.'</em><a class="headerlink" href="#utils.exceptions.S3FileReadError.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.InvalidValidationResponse">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">InvalidValidationResponse</code><a class="headerlink" href="#utils.exceptions.InvalidValidationResponse" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.InvalidValidationResponse.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when you are attempting to populate success/failed records for S3 validation'</em><a class="headerlink" href="#utils.exceptions.InvalidValidationResponse.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.InvalidValidationResponseRerun">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">InvalidValidationResponseRerun</code><a class="headerlink" href="#utils.exceptions.InvalidValidationResponseRerun" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.InvalidValidationResponseRerun.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when you are attempting to re-run success/failed records'</em><a class="headerlink" href="#utils.exceptions.InvalidValidationResponseRerun.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.DuplicateConfigFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">DuplicateConfigFound</code><a class="headerlink" href="#utils.exceptions.DuplicateConfigFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.DuplicateConfigFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when you are attempting to add same config again into the system'</em><a class="headerlink" href="#utils.exceptions.DuplicateConfigFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.InvalidConfigFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">InvalidConfigFound</code><a class="headerlink" href="#utils.exceptions.InvalidConfigFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.InvalidConfigFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when you enter invalid config to be processed in the system'</em><a class="headerlink" href="#utils.exceptions.InvalidConfigFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.RuleTypeNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">RuleTypeNotFound</code><a class="headerlink" href="#utils.exceptions.RuleTypeNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.RuleTypeNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when using out-dated config, rule type - user defined not found in the given config id.'</em><a class="headerlink" href="#utils.exceptions.RuleTypeNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.InvalidJSON">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">InvalidJSON</code><a class="headerlink" href="#utils.exceptions.InvalidJSON" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.InvalidJSON.message">
<code class="sig-name descname">message</code><em class="property"> = 'Raised when JSON provided is illegal.'</em><a class="headerlink" href="#utils.exceptions.InvalidJSON.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.ApiExchangeIntegrityFailed">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">ApiExchangeIntegrityFailed</code><a class="headerlink" href="#utils.exceptions.ApiExchangeIntegrityFailed" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.ApiExchangeIntegrityFailed.message">
<code class="sig-name descname">message</code><em class="property"> = 'Duplicate found. Integrity failed.'</em><a class="headerlink" href="#utils.exceptions.ApiExchangeIntegrityFailed.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSParameterNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSParameterNotFound</code><a class="headerlink" href="#utils.exceptions.BRMSParameterNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSParameterNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Define the parameter first before operating on it.'</em><a class="headerlink" href="#utils.exceptions.BRMSParameterNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSDatasetNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSDatasetNotFound</code><a class="headerlink" href="#utils.exceptions.BRMSDatasetNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSDatasetNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Define dataset first before get operation on it.'</em><a class="headerlink" href="#utils.exceptions.BRMSDatasetNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSRuleNotFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSRuleNotFound</code><a class="headerlink" href="#utils.exceptions.BRMSRuleNotFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSRuleNotFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Define rule first before any operations on it'</em><a class="headerlink" href="#utils.exceptions.BRMSRuleNotFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSInvalidRule">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSInvalidRule</code><a class="headerlink" href="#utils.exceptions.BRMSInvalidRule" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSDuplicateRuleId">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSDuplicateRuleId</code><a class="headerlink" href="#utils.exceptions.BRMSDuplicateRuleId" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSDuplicateRuleId.message">
<code class="sig-name descname">message</code><em class="property"> = 'Duplicate request to add the same rule Id.'</em><a class="headerlink" href="#utils.exceptions.BRMSDuplicateRuleId.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSPublishedWorkflowModified">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSPublishedWorkflowModified</code><a class="headerlink" href="#utils.exceptions.BRMSPublishedWorkflowModified" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSPublishedWorkflowModified.message">
<code class="sig-name descname">message</code><em class="property"> = 'Not allowed to modify the published workflow'</em><a class="headerlink" href="#utils.exceptions.BRMSPublishedWorkflowModified.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSDraftWorkflowExecuted">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSDraftWorkflowExecuted</code><a class="headerlink" href="#utils.exceptions.BRMSDraftWorkflowExecuted" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSDraftWorkflowExecuted.message">
<code class="sig-name descname">message</code><em class="property"> = 'Execution not allowed on DRAFT workflow'</em><a class="headerlink" href="#utils.exceptions.BRMSDraftWorkflowExecuted.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSDateFormatUnsupported">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSDateFormatUnsupported</code><a class="headerlink" href="#utils.exceptions.BRMSDateFormatUnsupported" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSDateFormatUnsupported.message">
<code class="sig-name descname">message</code><em class="property"> = 'Date format mentioned is not yet supported.'</em><a class="headerlink" href="#utils.exceptions.BRMSDateFormatUnsupported.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSDatasetInUse">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSDatasetInUse</code><a class="headerlink" href="#utils.exceptions.BRMSDatasetInUse" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSDatasetInUse.message">
<code class="sig-name descname">message</code><em class="property"> = 'Output of the rule is in use by other rules'</em><a class="headerlink" href="#utils.exceptions.BRMSDatasetInUse.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSMergingStrategyNotDefined">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSMergingStrategyNotDefined</code><a class="headerlink" href="#utils.exceptions.BRMSMergingStrategyNotDefined" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSMergingStrategyNotDefined.message">
<code class="sig-name descname">message</code><em class="property"> = 'Merger strategy not defined in the BRMS Grammar'</em><a class="headerlink" href="#utils.exceptions.BRMSMergingStrategyNotDefined.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSDuplicateColumnFound">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSDuplicateColumnFound</code><a class="headerlink" href="#utils.exceptions.BRMSDuplicateColumnFound" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSDuplicateColumnFound.message">
<code class="sig-name descname">message</code><em class="property"> = 'Duplicate column found'</em><a class="headerlink" href="#utils.exceptions.BRMSDuplicateColumnFound.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSDuplicateWorkflowName">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSDuplicateWorkflowName</code><a class="headerlink" href="#utils.exceptions.BRMSDuplicateWorkflowName" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSDuplicateWorkflowName.message">
<code class="sig-name descname">message</code><em class="property"> = 'Duplicate workflow name found.'</em><a class="headerlink" href="#utils.exceptions.BRMSDuplicateWorkflowName.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSInactiveScenarioExecuted">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSInactiveScenarioExecuted</code><a class="headerlink" href="#utils.exceptions.BRMSInactiveScenarioExecuted" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSInactiveScenarioExecuted.message">
<code class="sig-name descname">message</code><em class="property"> = 'Inactive scenario can not be executed.'</em><a class="headerlink" href="#utils.exceptions.BRMSInactiveScenarioExecuted.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSEmptyWorkflowPublished">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSEmptyWorkflowPublished</code><a class="headerlink" href="#utils.exceptions.BRMSEmptyWorkflowPublished" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSEmptyWorkflowPublished.message">
<code class="sig-name descname">message</code><em class="property"> = 'No rules found in the workflow.'</em><a class="headerlink" href="#utils.exceptions.BRMSEmptyWorkflowPublished.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSRuleIntegrityFailed">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSRuleIntegrityFailed</code><span class="sig-paren">(</span><em class="sig-param">message</em><span class="sig-paren">)</span><a class="headerlink" href="#utils.exceptions.BRMSRuleIntegrityFailed" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<p>Raised when rule integrity fails.</p>
</dd></dl>

<dl class="exception">
<dt id="utils.exceptions.BRMSInvalidDatasetName">
<em class="property">exception </em><code class="sig-prename descclassname">utils.exceptions.</code><code class="sig-name descname">BRMSInvalidDatasetName</code><a class="headerlink" href="#utils.exceptions.BRMSInvalidDatasetName" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference internal" href="#utils.exceptions.CustomException" title="utils.exceptions.CustomException"><code class="xref py py-class docutils literal notranslate"><span class="pre">utils.exceptions.CustomException</span></code></a></p>
<dl class="attribute">
<dt id="utils.exceptions.BRMSInvalidDatasetName.message">
<code class="sig-name descname">message</code><em class="property"> = 'Invalid dataset name.'</em><a class="headerlink" href="#utils.exceptions.BRMSInvalidDatasetName.message" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/utils.exceptions.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>